﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using System.Windows.Forms;

namespace Швейная_фабрика
{
    public struct FurnitureData
    {
        public string ID;
        public string Name;
        public int FurnitureType;
        public int Amount;
        public Image Photo;
    }

    public class Furniture : Panel
    {
        public Label lblName;
        public Label lblAmount;
        public PictureBox pbxPhoto;
        public string ID;

        public Furniture(FurnitureData furniture)
        {
            lblName = new Label();
            lblAmount = new Label();
            pbxPhoto = new PictureBox();

            this.BackColor = Color.White;
            this.BorderStyle = BorderStyle.FixedSingle;
            this.Controls.Add(this.lblName);
            this.Controls.Add(this.lblAmount);
            this.Controls.Add(this.pbxPhoto);

            this.Location = new Point(38, 57);
            this.Name = "pTexture";
            this.Size = new Size(136, 165);
            this.TabIndex = 0;

            // 
            // lblName
            // 
            this.lblName.AutoSize = true;
            this.lblName.Location = new Point(0, 134);
            this.lblName.Name = "lblName";
            this.lblName.Size = new Size(122, 13);
            this.lblName.TabIndex = 5;
            this.lblName.Text = furniture.Name;
            // 
            // lblAmount
            // 
            this.lblAmount.AutoSize = true;
            this.lblAmount.Location = new Point(0, 147);
            this.lblAmount.Name = "lblAmount";
            this.lblAmount.Size = new Size(132, 13);
            this.lblAmount.TabIndex = 2;
            this.lblAmount.Text = furniture.Amount.ToString();
            // 
            // pbxPhoto
            // 
            this.pbxPhoto.BorderStyle = BorderStyle.FixedSingle;
            this.pbxPhoto.Location = new Point(3, 3);
            this.pbxPhoto.Name = "pbxPhoto";
            this.pbxPhoto.Image = furniture.Photo;
            this.pbxPhoto.Size = new Size(128, 128);
            this.pbxPhoto.TabIndex = 1;
            this.pbxPhoto.TabStop = false;

            ID = furniture.ID;
        }
    }
}
