﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Швейная_фабрика
{
    public partial class fRegistration : Form
    {
        public fRegistration()
        {
            InitializeComponent();
        }

        bool PhoneNumber(string phoneNumber)
        {
            return true;
        }

        private void bOK_Click(object sender, EventArgs e)
        {
            if (tbxSurname.Text == "")
            {
                MessageBox.Show("Чтобы завершить регистрацию, введите фамилию.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }
            if (tbxName.Text == "")
            {
                MessageBox.Show("Чтобы завершить регистрацию, введите имя.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }
            if (tbxPatronymic.Text == "")
            {
                MessageBox.Show("Чтобы завершить регистрацию, введите отчество.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }

            if (tbxLogin.Text == "")
            {
                MessageBox.Show("Чтобы завершить регистрацию, введите логин.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }
            if (tbxPassword.Text == "")
            {
                MessageBox.Show("Чтобы завершить регистрацию, введите пароль.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }
            if (Password.Checking(tbxPassword.Text) == false)
            {
                MessageBox.Show("Введенный пароль не соответствует требованиям безопасности.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                tbxPassword.Focus();
                return;

            }
            if (tbxConfirmPassword.Text == "")
            {
                MessageBox.Show("Чтобы завершить регистрацию, подтвердите пароль.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }
            if (tbxPassword.Text != tbxConfirmPassword.Text)
            {
                MessageBox.Show("Введенные пароли не совпадают.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }

            SqlConnection con = new SqlConnection(fAuthorization.txtCon);
            con.Open();
            string txtQuery1 = $"select Login from Users where Login = '{tbxLogin.Text}'";
            SqlCommand query1 = new SqlCommand(txtQuery1, con);
            SqlDataReader res = query1.ExecuteReader();
            if (res.HasRows)
            {
                con.Close();
                MessageBox.Show("Пользователь с таким логином уже существует.", "Ошибка при регистрации", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                tbxLogin.Focus();
                return;
            }
            con.Close();
            tbxPassword.Text = "";
            con.Open();
            string txtQuery2 = $"insert into Users values('{tbxName.Text}', '{tbxPatronymic.Text}', '{tbxSurname.Text}', '{tbxPhoneNumber.Text}', 1, '{tbxLogin.Text}', '{tbxPassword.Text}')";
            SqlCommand query2 = new SqlCommand(txtQuery2, con);
            query2.ExecuteNonQuery();
            con.Close();
            MessageBox.Show("Регистрация нового заказчика успешно завершена. Теперь вы можете вернуться на форму авторизации.", "Регистрация завершена", MessageBoxButtons.OK, MessageBoxIcon.Information);
            fAuthorization f = new fAuthorization();
            f.Show();
            this.Hide();
        }

        private void bCancel_Click(object sender, EventArgs e)
        {
            fAuthorization f = new fAuthorization();
            f.Show();
            this.Hide();
        }

        private void chbxShowPassword_CheckedChanged(object sender, EventArgs e)
        {
            tbxPassword.UseSystemPasswordChar = !tbxPassword.UseSystemPasswordChar;
        }

        private void fRegistration_FormClosing(object sender, FormClosingEventArgs e)
        {
            fAuthorization f = new fAuthorization();
            f.Show();
            this.Hide();
        }
    }
}
